Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EOSQLQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.SQLTemplate
              org.apache.cayenne.wocompat.EOSQLQuery

All Implemented Interfaces:
  java.io.Serializable, GenericSelectQuery, ParameterizedQuery, Query, XMLSerializable

    public class EOSQLQuery

extends SQLTemplate

A descriptor of SQLTemplate loaded from EOModel. It is an informal "decorator" of Cayenne SQLTemplate to provide access to the extra information of WebObjects EOFetchSpecification.

Since:
  1.2
Author:
  Travis Cripps
See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `plistMap`

Fields inherited from class org.apache.cayenne.query.SQLTemplate
`defaultTemplate, parameters, selecting, templates`

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Fields inherited from interface org.apache.cayenne.query.GenericSelectQuery
`CACHE_POLICY_DEFAULT, CACHE_POLICY_PROPERTY, FETCH_LIMIT_DEFAULT, FETCH_LIMIT_PROPERTY, FETCHING_DATA_ROWS_DEFAULT, FETCHING_DATA_ROWS_PROPERTY, LOCAL_CACHE, NO_CACHE, PAGE_SIZE_DEFAULT, PAGE_SIZE_PROPERTY, REFRESHING_OBJECTS_DEFAULT, REFRESHING_OBJECTS_PROPERTY, RESOLVING_INHERITED_DEFAULT, RESOLVING_INHERITED_PROPERTY, SHARED_CACHE`

Constructor Summary
`EOSQLQuery(ObjEntity root, java.util.Map plistMap)`

Method Summary
`protected void` | `initFromPlist(java.util.Map plistMap)`

Methods inherited from class org.apache.cayenne.query.SQLTemplate
`addPrefetch, addPrefetches, clearPrefetches, createQuery, createSQLAction, encodeAsXML, getCachePolicy, getCustomTemplate, getDefaultTemplate, getFetchLimit, getMetaData, getPageSize, getParameters, getPrefetchTree, getTemplate, getTemplateKeys, initWithProperties, isFetchingDataRows, isRefreshingObjects, isResolvingInherited, isSelecting, parametersIterator, parametersSize, queryWithParameters, queryWithParameters, removePrefetch, removeTemplate, setCachePolicy, setDefaultTemplate, setFetchingDataRows, setFetchLimit, setPageSize, setParameters, setParameters, setRefreshingObjects, setResolvingInherited, setSelecting, setTemplate`

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`getName, getRoot, route, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.query.Query
`getName, getRoot, route, setName, setRoot`

Methods inherited from interface org.apache.cayenne.query.Query
`getName, getRoot, route, setName, setRoot`

Field Detail

### plistMap

    protected java.util.Map plistMap

Constructor Detail

### EOSQLQuery

    public EOSQLQuery(ObjEntity root,
                      java.util.Map plistMap)

Method Detail

### initFromPlist

    protected void initFromPlist(java.util.Map plistMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.